<?php

require_once("midi.php");

$note = 50;

mkdir("MIDI_instruments");
for ($i=0;$i<128;++$i) {
	$track = new MIDI_track();
	$track->program($i);
	$track->note_on($note);
	$track->delay(96*2);
	$track->note_off($note);
	$track->end();
	$MThd = $track->get_result();
	$MIDI = make_MIDI(1, 96, array($MThd));
	$out_fn = sprintf("MIDI_instruments/%3d.mid", $i+1);
	$fp=fopen($out_fn, "wb");
	fwrite($fp,$MIDI);
	fclose($fp);
}
