<?php

require_once("midi.php");

mkdir("MIDI_instruments");
for ($i=27;$i<=87;++$i) {
	$track = new MIDI_track();
	$track->channel = 10-1; // drum channel
	//$track->program($i);
	$track->note_on($i);
	$track->delay(96*2);
	$track->note_off($i);
	$track->end();
	$MThd = $track->get_result();
	$MIDI = make_MIDI(1, 96, array($MThd));
	$out_fn = sprintf("MIDI_instruments/drum%3d.mid", $i);
	$fp=fopen($out_fn, "wb");
	fwrite($fp,$MIDI);
	fclose($fp);
}
